Unverified Commit 38cc6094 authored by kladko's avatar kladko

Removede unneeded files

parent f2218515
FROM ubuntu:bionic
WORKDIR /usr/src/sdk
RUN apt-get update && apt-get install -yq --no-install-recommends git ca-certificates build-essential ocaml ocamlbuild automake autoconf libtool wget python libssl-dev libssl-dev libcurl4-openssl-dev protobuf-compiler git libprotobuf-dev alien cmake debhelper uuid-dev libxml2-dev
RUN apt install -y libprotobuf10 cmake flex bison libprocps-dev ccache autoconf texinfo libssl-dev libboost-all-dev libjsonrpccpp-dev libjsonrpccpp-tools
COPY install-psw.patch ./
RUN git clone -b sgx_2.5 --depth 1 https://github.com/intel/linux-sgx && \
cd linux-sgx && \
patch -p1 -i ../install-psw.patch && \
./download_prebuilt.sh 2> /dev/null && \
make -s -j$(nproc) sdk_install_pkg psw_install_pkg && \
./linux/installer/bin/sgx_linux_x64_sdk_2.5.100.49891.bin --prefix=/opt/intel && \
./linux/installer/bin/sgx_linux_x64_psw_2.5.100.49891.bin && \
cd .. && rm -rf linux-sgx/
# For debug purposes
# COPY jhi.conf /etc/jhi/jhi.conf
RUN git clone --recurse-submodules https://76b7983ebf14269178b99eff5b2be4b4b56fe7a5:@github.com/skalenetwork/sgxwallet.git
WORKDIR sgxwallet
RUN cd scripts; ./build.py
RUN autoreconf -vif
RUN automake
RUN ./configure
RUN make
#!/bin/bash
source /opt/intel/sgxsdk/environment
export LD_LIBRARY_PATH=${LD_LIBRARY_PATH}:/opt/intel/sgxpsw/aesm/
jhid -d
/opt/intel/sgxpsw/aesm/aesm_service &
pid=$!
sleep 3
/usr/src/sdk/sgxwallet/sgxwallet
diff --git a/linux/installer/bin/install-sgx-psw.bin.tmpl b/linux/installer/bin/install-sgx-psw.bin.tmpl
index 3510e97c..751831ab 100755
--- a/linux/installer/bin/install-sgx-psw.bin.tmpl
+++ b/linux/installer/bin/install-sgx-psw.bin.tmpl
@@ -30,34 +30,10 @@
#
#
-grep 'sgx\.ko$\|intel_sgx\.ko$' /lib/modules/$(uname -r)/modules.builtin &> /dev/null
-if [[ $? != "0" ]]; then
- /sbin/modinfo isgx &> /dev/null
- if [[ $? != "0" ]]; then
- /sbin/modinfo intel_sgx &> /dev/null
- if [[ $? != "0" ]]; then
- lsmod | grep 'isgx\|intel_sgx' &> /dev/null
- if [[ $? = "0" ]]; then
- echo "Warning: You did not follow the document to install the driver package."
- echo
- elif [[ ! -e /dev/isgx ]] && [[ ! -e /dev/sgx ]]; then
- echo -e "\033[31;49;1mWarning: You may need to activate the SGX module if SGX is enabled in the kernel (e.g., sudo modprobe sgx) or download and install the SGX driver if the kernel doesn't have SGX support.\033[39;49;0m"
- echo
- fi
- fi
- fi
-fi
-
set -e
PKG_NAME="Intel SGX PSW Package"
-if test $(id -u) -ne 0; then
- echo "Root privilege is required to install $PKG_NAME."
- exit 4
-fi
-
-
PKG_ARCH=@arch@
ARCH=$(uname -m)
diff --git a/linux/installer/common/libsgx-enclave-common/install.sh b/linux/installer/common/libsgx-enclave-common/install.sh
index 296879af..851d520b 100755
--- a/linux/installer/common/libsgx-enclave-common/install.sh
+++ b/linux/installer/common/libsgx-enclave-common/install.sh
@@ -33,11 +33,6 @@
set -e
-if test $(id -u) -ne 0; then
- echo "Root privilege is required."
- exit 1
-fi
-
SCRIPT_DIR=$(dirname "$0")
source ${SCRIPT_DIR}/installConfig
@@ -95,7 +90,7 @@ elif [ -d /etc/init/ ]; then
else
echo " failed."
echo "Unsupported platform - neither systemctl nor initctl is found."
- exit 5
+ retval=0
fi
if test $retval -ne 0; then
diff --git a/linux/installer/common/psw/install.sh b/linux/installer/common/psw/install.sh
index 59f3ed61..8ba940a3 100755
--- a/linux/installer/common/psw/install.sh
+++ b/linux/installer/common/psw/install.sh
@@ -96,7 +96,7 @@ elif [ -d /etc/init/ ]; then
else
echo " failed."
echo "Unsupported platform - neither systemctl nor initctl is found."
- exit 5
+ retval=0
fi
if test $retval -ne 0; then
#
# jhi.conf
#
#
#
# Transport type
#
# How to connect to DAL firmware
#
# AUTO - Choose between MEI and KERNEL automatically
# MEI - The most common. Use /dev/mei directly.
# SOCKET - Connect through an IP socket (for development purposes)
# KERNEL - Connect through the DAL kernel module (mei_dal). Uses /dev/dal{0,1,2}
#
# AUTO is the default.
#
# Uncomment one of the following:
#
transport AUTO
#transport MEI
#transport SOCKET
#transport KERNEL
#
#
#
# Firmware emulation IP address
#
# 127.0.0.1 is the default
#
# When using SOCKET, connect to this IP address:
#
#socket_ip_address 127.0.0.1
socket_ip_address 192.168.56.1
#
#
#
# Log level
#
# OFF - No prints
# RELEASE - Recommended for general use
# DEBUG - When something goes wrong enable this to see why
#
#log_level OFF
#log_level RELEASE
log_level DEBUG
#
#
#
# Daemon socket path
#
# Location for the Unix domain socket the daemon creates for user
# applications to connect to.
#
# /tmp/jhi_socket is the default
#
socket_path /var/run/jhi_socket
#socket_path /tmp/jhi_socket
#
#
# Applets location on the filesystem
#
# applets_dir can be read only.
# app_repo_dir needs to be writeable by the daemon.
#
#applets_dir /var/lib/intel/dal/applets
#app_repo_dir /var/lib/intel/dal/applet_repository
#
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment